Package org.apache.sysds.runtime.io

## Class ReaderTextCellParallel.ReadTask

- java.lang.Object
- - org.apache.sysds.runtime.io.ReaderTextCellParallel.ReadTask

All Implemented Interfaces:
  `Callable<Long>`

Enclosing class:
  ReaderTextCellParallel

    public static class ReaderTextCellParallel.ReadTask
    extends Object
    implements Callable<Long>

### Constructor Summary

Constructors
`ReadTask​(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat informat, org.apache.hadoop.mapred.JobConf job, MatrixBlock dest, long rlen, long clen, boolean mm, FileFormatPropertiesMM mmProps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadTask

    public ReadTask​(org.apache.hadoop.mapred.InputSplit split,
                    org.apache.hadoop.mapred.TextInputFormat informat,
                    org.apache.hadoop.mapred.JobConf job,
                    MatrixBlock dest,
                    long rlen,
                    long clen,
                    boolean mm,
                    FileFormatPropertiesMM mmProps)

### Method Detail

#### call

    public Long call()
              throws Exception

Specified by:
  `call` in interface `Callable<Long>`
Throws:
  `Exception`